Closed Bug 598577 Opened 9 years ago Closed 7 years ago

[SeaMonkey, MacOSX] "REFTEST TEST-UNEXPECTED-FAIL content/base/crashtests/205225-1.html | assertion count 1 is more than expected 0 assertions" ("ASSERTION: NULL mIconRequest! Multiple calls to OnStopRequest()?")

Categories

(Core :: Widget: Cocoa, defect, major)

x86
macOS
defect
Not set
major

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: bugzilla, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: assertion, intermittent-failure)

This is new on out tinderbox.

http://tinderbox.mozilla.org/showlog.cgi?tree=SeaMonkey&errorparser=unittest&logfile=1285140559.1285141009.30790.gz&buildtime=1285140559&buildname=OS%20X%2010.5%20comm-central-trunk%20debug%20test%20crashtest&fulltext=1#err0

ASSERTION: NULL mIconRequest!  Multiple calls to OnStopRequest()?: 'mIconRequest', file /builds/slave/comm-central-trunk-macosx-debug/build/mozilla/widget/src/cocoa/nsMenuItemIconX.mm, line 549
nsMenuItemIconX::OnStopRequest [widget/src/cocoa/nsMenuItemIconX.mm:550]
imgRequestProxy::OnStopRequest [modules/libpr0n/src/imgRequestProxy.cpp:725]
imgStatusTracker::SendStopRequest [modules/libpr0n/src/imgStatusTracker.cpp:524]
imgRequest::OnStopRequest [modules/libpr0n/src/imgRequest.cpp:968]
ProxyListener::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2008]
imgCacheValidator::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2164]
nsJARChannel::OnStopRequest [modules/libjar/nsJARChannel.cpp:907]
nsInputStreamPump::OnStateStop [netwerk/base/src/nsInputStreamPump.cpp:579]
nsInputStreamPump::OnInputStreamReady [netwerk/base/src/nsInputStreamPump.cpp:403]
nsInputStreamReadyEvent::Run [xpcom/io/nsStreamUtils.cpp:113]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:547]
NS_ProcessPendingEvents_P [nsThreadUtils.cpp:200]
nsBaseAppShell::NativeEventCallback [widget/src/xpwidgets/nsBaseAppShell.cpp:132]
nsAppShell::ProcessGeckoEvents [widget/src/cocoa/nsAppShell.mm:395]
CoreFoundation + 0x733c5
CoreFoundation + 0x73aa8
HIToolbox + 0x302ac
HIToolbox + 0x300c5
HIToolbox + 0x2ff39
AppKit + 0x406d5
AppKit + 0x3ff88
AppKit + 0x38f9f
nsAppShell::Run [widget/src/cocoa/nsAppShell.mm:747]
nsAppStartup::Run [toolkit/components/startup/src/nsAppStartup.cpp:191]
XRE_main [toolkit/xre/nsAppRunner.cpp:3673]
main [suite/app/nsSuiteApp.cpp:103]
seamonkey-bin + 0x1752
JavaScript error: , line 0: uncaught exception: [Exception... "Operation is not supported"  code: "9" nsresult: "0x80530009 (NS_ERROR_DOM_NOT_SUPPORTED_ERR)"  location: "file:///builds/slave/comm-central-trunk-macosx-debug-unittest-crashtest/build/reftest/tests/content/base/crashtests/205225-1.html Line: 4"]

Pushlog range:

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=d20b0bf1cf3a&tochange=6a3efef10e69
The Firefox debug boxes don't show that assertion, but also have the JavaScript error, so that could be unrelated.
Severity: normal → major
Depends on: 598546
Keywords: assertion
Summary: REFTEST TEST-UNEXPECTED-FAIL content/base/crashtests/205225-1.html | assertion count 1 is more than expected 0 assertions → [SeaMonkey, MacOSX] "REFTEST TEST-UNEXPECTED-FAIL content/base/crashtests/205225-1.html | assertion count 1 is more than expected 0 assertions"
The JS error happens on Linux too at least: I assume it's bug 480366.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285185188.1285185409.2369.gz&fulltext=1
Linux comm-central-trunk debug test crashtest on 2010/09/22 12:53:08

The assertion happened in that build and the next one only:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1285154680.1285155422.32190.gz
OS X 10.5 comm-central-trunk debug test crashtest on 2010/09/22 04:24:40
{
same, but in content/base/crashtests/308120-1.xul.
}

R.WorksForMe
Status: NEW → RESOLVED
Closed: 9 years ago
No longer depends on: 598546
Resolution: --- → WORKSFORME
Target Milestone: --- → mozilla2.0b7
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289014900.1289015343.28148.gz&fulltext=1
OS X 10.5 comm-central-trunk debug test crashtest on 2010/11/05 20:41:40
{
###!!! ASSERTION: NULL mIconRequest!  Multiple calls to OnStopRequest()?: 'mIconRequest', file /builds/slave/comm-central-trunk-macosx-debug/build/mozilla/widget/src/cocoa/nsMenuItemIconX.mm, line 549
nsMenuItemIconX::OnStopRequest [widget/src/cocoa/nsMenuItemIconX.mm:550]
imgRequestProxy::OnStopRequest [modules/libpr0n/src/imgRequestProxy.cpp:710]
imgStatusTracker::SendStopRequest [modules/libpr0n/src/imgStatusTracker.cpp:524]
imgRequest::OnStopRequest [modules/libpr0n/src/imgRequest.cpp:959]
ProxyListener::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2008]
imgCacheValidator::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2164]
nsJARChannel::OnStopRequest [modules/libjar/nsJARChannel.cpp:907]
nsInputStreamPump::OnStateStop [netwerk/base/src/nsInputStreamPump.cpp:579]
nsInputStreamPump::OnInputStreamReady [netwerk/base/src/nsInputStreamPump.cpp:403]
nsInputStreamReadyEvent::Run [xpcom/io/nsStreamUtils.cpp:113]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:609]
NS_ProcessPendingEvents_P [nsThreadUtils.cpp:200]
nsBaseAppShell::NativeEventCallback [widget/src/xpwidgets/nsBaseAppShell.cpp:132]
nsAppShell::ProcessGeckoEvents [widget/src/cocoa/nsAppShell.mm:400]
CoreFoundation + 0x733c5
CoreFoundation + 0x73aa8
HIToolbox + 0x302ac
HIToolbox + 0x300c5
HIToolbox + 0x2ff39
AppKit + 0x406d5
AppKit + 0x3ff88
AppKit + 0x38f9f
nsAppShell::Run [widget/src/cocoa/nsAppShell.mm:746]
nsAppStartup::Run [toolkit/components/startup/src/nsAppStartup.cpp:191]
XRE_main [toolkit/xre/nsAppRunner.cpp:3682]
main [suite/app/nsSuiteApp.cpp:103]
seamonkey-bin + 0x170e
}
Status: RESOLVED → REOPENED
Depends on: 473841, 438871
Resolution: WORKSFORME → ---
Whiteboard: [orange]
Target Milestone: mozilla2.0b7 → ---
Blocks: 438871
Status: REOPENED → NEW
Depends on: 564234
No longer depends on: 438871
(In reply to comment #3)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289014900.1289015343.28148.gz&fulltext=1
> OS X 10.5 comm-central-trunk debug test crashtest on 2010/11/05 20:41:40

Fwiw, same build as bug 593278 comment 1.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290225250.1290225661.11483.gz
OS X 10.5 comm-central-trunk debug test crashtest on 2010/11/19 19:54:10

Again, same build as bug 593278 comment 4.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1291450604.1291451031.11977.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test crashtest on 2010/12/04 00:16:44
Summary: [SeaMonkey, MacOSX] "REFTEST TEST-UNEXPECTED-FAIL content/base/crashtests/205225-1.html | assertion count 1 is more than expected 0 assertions" → [SeaMonkey, MacOSX] "REFTEST TEST-UNEXPECTED-FAIL content/base/crashtests/205225-1.html | assertion count 1 is more than expected 0 assertions" ("ASSERTION: NULL mIconRequest! Multiple calls to OnStopRequest()?")
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 9 years ago7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.